



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>logging模板日志格式</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">logging模板日志格式</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-14 19:48:44 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>logging模板日志格式</h2>
<p><strong>创建loginfo.py模块，然后导入定义的logging配置，即可使用</strong></p>
<pre class="prettyprint linenums"><code>cat loginfo.py

&quot;&quot;&quot;<br />
logging配置<br />
&quot;&quot;&quot;

import os<br />
import logging.config<br />
import datetime<br />
import time

# 定义三种日志输出格式 开始

standard_format = '[%(asctime)s][%(threadName)s:%(thread)d][task_id:%(name)s][%(filename)s:%(lineno)d]' \<br />
                  '[%(levelname)s][%(message)s]' #其中name为getlogger指定的名字

simple_format = '[%(levelname)s][%(asctime)s][%(filename)s:%(lineno)d]%(message)s'

id_simple_format = '[%(levelname)s][%(asctime)s] %(message)s'

# 定义日志输出格式 结束

logfile_dir = os.path.dirname(os.path.abspath(__file__))  # log文件的目录

date_time = str(datetime.date.fromtimestamp(time.time()))

logfile_name = 'access'+date_time+'.log'  # log文件名

# 如果不存在定义的日志目录就创建一个<br />
if not os.path.isdir(logfile_dir):<br />
    os.mkdir(logfile_dir)

# log文件的全路径<br />
logfile_path = os.path.join(logfile_dir, logfile_name)

# log配置字典<br />
LOGGING_DIC = {<br />
    'version': 1,<br />
    'disable_existing_loggers': False,<br />
    'formatters': {<br />
        'standard': {<br />
            'format': standard_format<br />
        },<br />
        'simple': {<br />
            'format': simple_format<br />
        },<br />
    },<br />
    'filters': {},<br />
    'handlers': {<br />
        #打印到终端的日志<br />
        'console': {<br />
            'level': 'DEBUG',<br />
            'class': 'logging.StreamHandler',  # 打印到屏幕<br />
            'formatter': 'simple'<br />
        },<br />
        #打印到文件的日志,收集info及以上的日志<br />
        'default': {<br />
            'level': 'DEBUG',<br />
            # 'class': 'logging.handlers.RotatingFileHandler',  # 保存到文件<br />
            &quot;class&quot;: &quot;logging.handlers.TimedRotatingFileHandler&quot;,   # 依照时间进行切割<br />
            'formatter': 'standard',<br />
            'filename': logfile_path,  # 日志文件<br />
            # 'maxBytes': 1024*1024*5,  # 日志大小 5M<br />
            &quot;when&quot;: &quot;h&quot;,                # 小时格式<br />
            &quot;interval&quot;: 24,             # 24 小时<br />
            'backupCount': 7,           # 7个<br />
            'encoding': 'utf-8',  # 日志文件的编码，再也不用担心中文log乱码了<br />
        },<br />
    },<br />
    'loggers': {<br />
        '': {<br />
            'handlers': ['default', 'console'],  # 这里把上面定义的两个handler都加上，即log数据既写入文件又打印到屏幕<br />
            'level': 'DEBUG',<br />
        },<br />
    },<br />
}

def load_my_logging_cfg():<br />
    logging.config.dictConfig(LOGGING_DIC)  # 导入上面定义的logging配置

if __name__ == '__main__':<br />
    load_my_logging_cfg()<br />
</code></pre>
<p>引用方法：</p>
<pre class="prettyprint linenums"><code>import logging<br />
import loginfo        # 导入自定义的loginfo 格式

loginfo.load_my_logging_cfg()

logger1 = logging.getLogger(__name__)<br />
logger2 = logging.getLogger(&quot;collect&quot;)

logger1.debug(&quot;默认日志的debug&quot;)<br />
logger1.info(&quot;默认日志的info&quot;)

</code></pre>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq4pz23q.html">CSS3中flexbox如何实现水平垂直居中和三列等高布局</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jmxoe9.html">2015&period;2&period;16 关于delphi web控件打开新网页时弹出关闭页面（js代码）出错的解决办法研究</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qymjxmq.html">ios消息</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e10rze9.html">GDB调试方法精粹</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vdloo8.html">maven tomcat 插件实现热部署</a>
		</li>
						<li><a href="https://www.batexi.com/a/90ve6w38.html">visifire3&period;6&period;8 去水印方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mng7noq.html">Acess错误：&amp;quot&semi;文件共享锁定数溢出&amp;quot&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlj1zvx9.html">ESFramework 4&period;0 性能测试</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zyyme9.html">Elasticsearch java api 常用查询方法QueryBuilder构造举例</a>
		</li>
						<li><a href="https://www.batexi.com/a/950epvv8.html">使用jquery 的ajax 与 Java servlet的交互</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5dnmrq.html">Some notes in Stanford CS106A（3）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj4mz39.html">【转】单KEY业务，数据库水平切分架构实践</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll2ey1q.html">A1027&period; Colors in Mars</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy0v1d9.html">打开word文档总是自动弹出控件工具条的解决办法：</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1r1pv58.html">python3学习笔记三（数字类型，字符串）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyp26dq.html">使用SpringMVC的&commat;CrossOrigin注解解决跨域请求问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdj0zx7q.html">&OpenCurlyDoubleQuote;System&period;Reflection&period;AmbiguousMatchException&rdquo;类型的异常在 mscorlib&period;dll 中发生</a>
		</li>
						<li><a href="https://www.batexi.com/a/8em5x0m9.html">UVa 12627 Erratic Expansion - 分治</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvezwy19.html">HDU 6083 度度熊的午饭时光（01背包&plus;记录路径）</a>
		</li>
						<li><a href="https://www.batexi.com/a/902p654q.html">版本号比较函数-js</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qwv56n38.html">mvc5怎么给所有action都设置几个公用的ViewBag</a>
			</li>
						<li><a href="https://www.batexi.com/a/96071en9.html">GPU Tips</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4oedx9.html">安装mongo php拓展</a>
			</li>
						<li><a href="https://www.batexi.com/a/95gjxxeq.html">Threading&period;local</a>
			</li>
						<li><a href="https://www.batexi.com/a/95gj01mq.html">lua 中 socket 通信示例</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7onz6e8.html">web&commat;前端--html&comma;css&comma;javascript简介、第一个页面&lpar;常用标签简介&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zyjvo39.html">ubuntu 安装配置 mysql</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4jnmwnq.html">xampp 搭建好本地服务器以后手机无法访问</a>
			</li>
						<li><a href="https://www.batexi.com/a/9605yw39.html">UserNotifications   ios10  通知使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/90rep3o9.html">一道关于js声明变量，var和let的面试题</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
